<?php
/**
 * Up down image slideshow
 *
 * @package 	Up down image slideshow
 * @subpackage 	mod_up_down_image_slideshow
 * @version   	4.0
 * @author    	Gopi Ramasamy
 * @copyright 	Copyright (C) 2010 - 2021 www.gopiplus.com. All rights reserved.
 * @license   	GNU General Public License version 2 or later; see LICENSE.txt
 *
 * http://www.gopiplus.com/extensions/2011/07/up-down-image-slideshow-gallery-joomla-module/
 */

defined('_JEXEC') or die;

use Joomla\CMS\Helper\ModuleHelper;
use Joomla\Module\UpDownImageSlideshow\Site\Helper\UpDownImageSlideshowHelper;

$folder		= UpDownImageSlideshowHelper::getFolder($params);
$images		= UpDownImageSlideshowHelper::getImages($params, $folder);

if (!count($images)) 
{
	echo \JText::_('No Images <br>' . $folder . '<br>');
	return;
}

$modbase 	= JURI::base(true).'/modules/mod_up_down_image_slideshow/';
$document 	= JFactory::getDocument();
$slideshow_jquery = $params->get("slideshow_jquery","yes");	
if($slideshow_jquery == "YES")	
{
	$document->addScript ($modbase.'tmpl/jquery.min.js');
}
$document->addScript ($modbase.'tmpl/mod_up_down_image_slideshow.js');

require ModuleHelper::getLayoutPath('mod_up_down_image_slideshow', $params->get('layout', 'default'));